svn commit: r301207 - head/etc/rc.d

Alan Somers asomers at FreeBSD.org
Thu Jun 2 15:31:25 UTC 2016


Author: asomers
Date: Thu Jun  2 15:31:24 2016
New Revision: 301207
URL: https://svnweb.freebsd.org/changeset/base/301207

Log:
  Fix exit status of "service routing start <af> <iface>"
  
  etc/rc.d/routing
  	Ignore the exit status of options_{inet,inet6,atm}. It's
  	meaningless.
  
  Reviewed by:	hrs
  MFC after:	4 weeks
  Sponsored by:	Spectra Logic Corp
  Differential Revision:	https://reviews.freebsd.org/D6687

Modified:
  head/etc/rc.d/routing

Modified: head/etc/rc.d/routing
==============================================================================
--- head/etc/rc.d/routing	Thu Jun  2 15:30:58 2016	(r301206)
+++ head/etc/rc.d/routing	Thu Jun  2 15:31:24 2016	(r301207)
@@ -90,18 +90,23 @@ routing_stop()
 
 setroutes()
 {
+	local _ret
+	_ret=0
 	case $1 in
 	static)
 		static_$2 add $3
+		_ret=$?
 		;;
 	options)
 		options_$2
 		;;
 	doall)
 		static_$2 add $3
+		_ret=$?
 		options_$2
 		;;
 	esac
+	return $_ret
 }
 
 routing_stop_inet()


More information about the svn-src-all mailing list